# Locate KDL install directory

# This module defines
# Orocos-KDL_INSTALL where to find include, lib, bin, etc.
# Orocos-KDL_FOUND, is set to true

INCLUDE (FindPkgConfig)

IF ( PKG_CONFIG_FOUND )

  # set flag for whether items are required or not
  SET(IS_REQUIRED)
  IF (Orocos-KDL_FIND_REQUIRED)
	SET(IS_REQUIRED "REQUIRED")
  ENDIF (Orocos-KDL_FIND_REQUIRED)

  # find KDL itself
  # set(ENV{PKG_CONFIG_PATH} "/opt/ros/groovy/lib/pkgconfig/")
  # message( "Looking for KDL in: /opt/ros/groovy")
  pkg_search_module(Orocos-KDL ${IS_REQUIRED} orocos_kdl)
  
  IF( Orocos-KDL_FOUND )
    IF(NOT Orocos-KDL_FIND_QUIETLY)
      message("   Includes in: ${Orocos-KDL_INCLUDE_DIRS}")
      message("   Compiler flags: ${Orocos-KDL_CFLAGS}")
      message("   Libraries: ${Orocos-KDL_LIBRARIES}")
      message("   Libraries in: ${Orocos-KDL_LIBRARY_DIRS}")
      message("   Linker flags: ${Orocos-KDL_LD_FLAGS}")
      message("   Defines: ${Orocos-KDL_DEFINES}")
    ENDIF(NOT Orocos-KDL_FIND_QUIETLY)

  ELSE(Orocos-KDL_FOUND)  
    IF(Orocos-KDL_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find KDL")
    ENDIF(Orocos-KDL_FIND_REQUIRED)
  ENDIF ( Orocos-KDL_FOUND )
ELSE  ( PKG_CONFIG_FOUND )

  MESSAGE( FATAL_ERROR "Can't find KDL without pkgconfig !")

ENDIF ( PKG_CONFIG_FOUND )
